Passer au contenu principal
POST
/
v3
/
enterprise
/
members
/
idp-groups
/
{idp_group_name}
Attribuer un groupe IDP
curl --request POST \
  --url https://api.devin.ai/v3/enterprise/members/idp-groups/{idp_group_name} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "role_id": "<string>"
}
'
{
  "idp_group_name": "<string>",
  "role_assignments": [
    {
      "role": {
        "role_id": "<string>",
        "role_name": "<string>",
        "role_type": "enterprise"
      },
      "org_id": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

Autorisations

Nécessite un utilisateur de service disposant de l’autorisation ManageAccountMembership au niveau de l’Enterprise.

Autorisations

Authorization
string
header
requis

Identifiant de compte de service (préfixe : cog_)

Paramètres de chemin

idp_group_name
string
requis

Corps

application/json
role_id
string
requis

Réponse

Réponse réussie

idp_group_name
string
requis
role_assignments
RoleAssignment · object[]
requis